module.exports = function getSupplier(data, cb) {
  var error
  var supplierCode =  data.supplierCode
  var db = data.db
  db.get(supplierCode, function (err, reply) {
    if (err) {
      var error = {
        message: 'error adding scraper data, error when looking up supplier',
        supplierCode: supplierCode,
        error: err
      }
      return cb(error)
    }
    if (!reply) {
      error = {
        message: 'error adding scraper data, error when looking up supplier',
        supplierCode: supplierCode,
        error: 'supplier not found'
      }
      return cb(error)
    }
    var supplier = reply.json
    cb(null, supplier)
  })
}
